Page MenuHomePhabricator

Reinstall bast1001 with jessie
Closed, ResolvedPublic

Description

Still on precise, reinstall with jessie

Event Timeline

MoritzMuehlenhoff raised the priority of this task from to Needs Triage.
MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff added a project: Operations.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 11:40 AM
MoritzMuehlenhoff closed this task as Resolved.Jan 15 2016, 11:46 AM
MoritzMuehlenhoff claimed this task.

Not needed, it's in the process of being decommissioned, see T123029

MoritzMuehlenhoff reopened this task as Open.Jan 15 2016, 11:47 AM

Argh, wrong tab, I meant to close a diffent bug. Reopen

MoritzMuehlenhoff removed MoritzMuehlenhoff as the assignee of this task.Mar 3 2016, 2:30 PM
MoritzMuehlenhoff set Security to None.
Dzahn added a subscriber: Dzahn.

settings as blocked by bast2001 install / hardware issues. we don't want both bastions to have a potential problem at the same time

Change 283102 had a related patch set uploaded (by Dzahn):
rsync bast1001 home dirs to osmium, temp for upgrade

https://gerrit.wikimedia.org/r/283102

Change 283102 merged by Dzahn:
rsync bast1001 home dirs to osmium, temp for upgrade

https://gerrit.wikimedia.org/r/283102

as usual something else is broken so we can't "just do this" -> T132532

Change 283111 had a related patch set uploaded (by Dzahn):
use tungsten, not osmium to copy bast home dirs

https://gerrit.wikimedia.org/r/283111

Change 283111 merged by Dzahn:
use tungsten, not osmium to copy bast home dirs

https://gerrit.wikimedia.org/r/283111

Change 283224 had a related patch set uploaded (by Dzahn):
install_server: let bast1001 use jessie

https://gerrit.wikimedia.org/r/283224

Change 283224 merged by Dzahn:
install_server: let bast1001 use jessie

https://gerrit.wikimedia.org/r/283224

Change 283231 had a related patch set uploaded (by Dzahn):
bast1001: rsync home dirs back from tungsten

https://gerrit.wikimedia.org/r/283231

Change 283231 merged by Dzahn:
bast1001: rsync home dirs back from tungsten

https://gerrit.wikimedia.org/r/283231

Dzahn added a comment.Apr 13 2016, 5:57 PM

bast1001 is back with jessie. data from home dirs is being copied back as i type

the new fingerprints are:

+---------+---------+-------------------------------------------------+
| Cipher  | Algo    | Fingerprint                                     |
+---------+---------+-------------------------------------------------+
| RSA     | MD5     | 74:9a:74:e2:3b:ec:5d:fd:d4:45:8c:84:11:c8:9a:4e |
| RSA     | SHA-256 | rLmcE2r1JRrHrsOZIGZ3YHNJUzf4IOyTEg9wuCpDJjM=    |
+---------+---------+-------------------------------------------------+
| DSA     | MD5     | 45:f4:34:3a:c1:34:66:ef:a8:45:ad:ff:30:c4:d7:b2 |
| DSA     | SHA-256 | GlqVy4JESiO/j7ELqXyhIbl5oZGmWO8tgroavpPOX/s=    |
+---------+---------+-------------------------------------------------+
| ECDSA   | MD5     | 9f:2b:ab:10:de:52:13:87:34:4c:20:52:be:0f:91:c3 |
| ECDSA   | SHA-256 | uJjbBNi8661vAbuk6i9N5lc65AxT31nLEAO87/vJgcE=    |
+---------+---------+-------------------------------------------------+
| ED25519 | MD5     | 8d:e2:1f:1b:4f:76:89:91:c1:99:dd:d5:a9:d9:0d:47 |
| ED25519 | SHA-256 | cyZDMw0Oon1OJrNWD0xY+CETCaAZlyIBazYL1vtb1TE=    |
+---------+---------+-------------------------------------------------+

You may have to remove the old one with

ssh-keygen -f "/home/yourusername/.ssh/known_hosts" -R bast1001.wikimedia.org

Change 283248 had a related patch set uploaded (by Dzahn):
bast1001: remove temp rsync for migration

https://gerrit.wikimedia.org/r/283248

Dzahn closed this task as Resolved.Apr 13 2016, 6:25 PM
Dzahn claimed this task.

Change 283252 had a related patch set uploaded (by Dzahn):
bast1001: reorder includes, rm ganglia_aggregator

https://gerrit.wikimedia.org/r/283252

Change 283255 had a related patch set uploaded (by Dzahn):
partman: make bast1001 use raid1-lvm

https://gerrit.wikimedia.org/r/283255

Change 283254 had a related patch set uploaded (by Dzahn):
network: remove bast1001 SLAAC addresses

https://gerrit.wikimedia.org/r/283254

Change 283255 merged by Dzahn:
partman: make bast1001 use raid1-lvm

https://gerrit.wikimedia.org/r/283255

Dzahn added a comment.Apr 13 2016, 7:47 PM

had to reinstall one more time because it did no use RAID1, now it does:

root@bast1001:~# mdadm --detail /dev/md0 |grep Level

Raid Level : raid1
+---------+---------+-------------------------------------------------+
| Cipher  | Algo    | Fingerprint                                     |
+---------+---------+-------------------------------------------------+
| RSA     | MD5     | 9e:df:5e:ba:ff:d1:fc:60:a1:2d:df:e2:4b:be:be:66 |
| RSA     | SHA-256 | WV8VXMqIGQo0rbfaHLdFavw7Y1hnKackEYnIjb9g5Y0=    |
+---------+---------+-------------------------------------------------+
| DSA     | MD5     | 37:d9:fe:e9:f5:e0:22:67:bb:d4:cc:a5:d3:37:6e:66 |
| DSA     | SHA-256 | +K2JKztRjhIjE9ZCBwDuEqaGYWmokxF1k3k5dSvigyk=    |
+---------+---------+-------------------------------------------------+
| ECDSA   | MD5     | ea:bc:ad:8b:4e:25:b3:fb:3e:ed:bf:cb:e2:8b:e5:9c |
| ECDSA   | SHA-256 | 5Daf3UvPpM9pnTWbI28SGPzFeVklDWdYd5QsebeCih8=    |
+---------+---------+-------------------------------------------------+
| ED25519 | MD5     | e8:f4:b4:a2:c1:d7:3e:d1:b0:10:92:d7:b2:c0:05:17 |
| ED25519 | SHA-256 | bNiYDwzS6XbP3na6nEzRSRv3xV4bgHcaeOEWKSSEV9A=    |
+---------+---------+-------------------------------------------------+

Change 283254 merged by Dzahn:
network: remove bast1001 SLAAC addresses

https://gerrit.wikimedia.org/r/283254

Change 283252 merged by Dzahn:
bast1001: reorder includes, rm ganglia_aggregator

https://gerrit.wikimedia.org/r/283252